
// Lathe3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Jednoduchý virtuální svět sestává z šachovnicové podlahy s
   červeným středem a označkovanou osou x a z.

   Na obrazovce j dále umístěno několik Lathe-tvarů.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class Lathe3D extends JFrame
{
  public Lathe3D() 
  {
    super("Lathe3D");
    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapLathe3D w3d = new WrapLathe3D();     // panel uchovávající 3D-canvas
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: Lathe3D()


// -----------------------------------------

  public static void main(String[] args)
  { new Lathe3D(); }

} // konec třídy: Lathe3D